TypeScript client
import { TxAgentKitClient } from '@tx-agent-kit/sdk'
const client = new TxAgentKitClient({
token: process.env.TX_AGENT_KIT_TOKEN
})
const response = await client.studentExperience.getStudentCompletedWorkReview({
workId: process.env.TX_AGENT_KIT_WORK_ID ?? "workId",
}){
"entry": {
"id": "<string>",
"title": "<string>",
"completedAt": "<string>",
"correct": 1,
"total": 1
},
"questions": [
{
"id": "<string>",
"question": {
"id": "<string>",
"questionVersionId": "<string>",
"subjectName": "<string>",
"topicId": "<string>",
"topicName": "<string>",
"prompt": "<string>",
"options": [
"<string>"
],
"expectedTimeSeconds": 123,
"passage": "<string>",
"clozeTemplate": "<string>",
"clozeBlanks": [
{
"id": "<string>",
"options": [
"<string>"
]
}
],
"matchingLeftLabel": "<string>",
"matchingRightLabel": "<string>",
"matchingLeftItems": [
"<string>"
],
"matchingRightOptions": [
"<string>"
],
"sequenceChips": [
{
"id": "<string>",
"label": "<string>"
}
],
"stimulus": {
"kind": "analogy-grid",
"a": "<string>",
"b": "<string>",
"c": "<string>",
"visualTerms": {
"a": {
"kind": "l-shape-dot",
"description": "<string>"
},
"b": {
"kind": "l-shape-dot",
"description": "<string>"
},
"c": {
"kind": "l-shape-dot",
"description": "<string>"
}
},
"visualOptions": [
{
"kind": "l-shape-dot",
"description": "<string>"
}
]
}
},
"prompt": "<string>",
"answerRecorded": true,
"answer": "<unknown>",
"selectedAnswerIndex": 123,
"correctAnswer": "<unknown>",
"correctAnswerIndex": 123,
"correct": true,
"explanation": {
"summary": "<string>",
"steps": [
"<string>"
],
"visual": {
"kind": "word_grid",
"rows": 3,
"columns": 3,
"cells": [
"<string>"
],
"caption": "<string>"
}
}
}
],
"rewards": {
"coins": 1,
"stars": 1,
"gameSeconds": 1
},
"durationSeconds": 1,
"notice": "<string>"
}Student experience
Student completed work review
GET
/
v1
/
learning
/
student
/
history
/
{workId}
TypeScript client
import { TxAgentKitClient } from '@tx-agent-kit/sdk'
const client = new TxAgentKitClient({
token: process.env.TX_AGENT_KIT_TOKEN
})
const response = await client.studentExperience.getStudentCompletedWorkReview({
workId: process.env.TX_AGENT_KIT_WORK_ID ?? "workId",
}){
"entry": {
"id": "<string>",
"title": "<string>",
"completedAt": "<string>",
"correct": 1,
"total": 1
},
"questions": [
{
"id": "<string>",
"question": {
"id": "<string>",
"questionVersionId": "<string>",
"subjectName": "<string>",
"topicId": "<string>",
"topicName": "<string>",
"prompt": "<string>",
"options": [
"<string>"
],
"expectedTimeSeconds": 123,
"passage": "<string>",
"clozeTemplate": "<string>",
"clozeBlanks": [
{
"id": "<string>",
"options": [
"<string>"
]
}
],
"matchingLeftLabel": "<string>",
"matchingRightLabel": "<string>",
"matchingLeftItems": [
"<string>"
],
"matchingRightOptions": [
"<string>"
],
"sequenceChips": [
{
"id": "<string>",
"label": "<string>"
}
],
"stimulus": {
"kind": "analogy-grid",
"a": "<string>",
"b": "<string>",
"c": "<string>",
"visualTerms": {
"a": {
"kind": "l-shape-dot",
"description": "<string>"
},
"b": {
"kind": "l-shape-dot",
"description": "<string>"
},
"c": {
"kind": "l-shape-dot",
"description": "<string>"
}
},
"visualOptions": [
{
"kind": "l-shape-dot",
"description": "<string>"
}
]
}
},
"prompt": "<string>",
"answerRecorded": true,
"answer": "<unknown>",
"selectedAnswerIndex": 123,
"correctAnswer": "<unknown>",
"correctAnswerIndex": 123,
"correct": true,
"explanation": {
"summary": "<string>",
"steps": [
"<string>"
],
"visual": {
"kind": "word_grid",
"rows": 3,
"columns": 3,
"cells": [
"<string>"
],
"caption": "<string>"
}
}
}
],
"rewards": {
"coins": 1,
"stars": 1,
"gameSeconds": 1
},
"durationSeconds": 1,
"notice": "<string>"
}Path Parameters
a string at most 100 character(s) long
Maximum string length:
100⌘I